/**
 * Lottier - Lottie animations in just a few clicks without writing a single line of code.
 *
 * @encoding UTF-8
 * @version 1.0.0
 * @copyright Copyright (C) 2020 merkulove ( https://1.envato.market/cc-merkulove ). All rights reserved.
 * @license Envato License https://1.envato.market/KYbje
 * @author merkulove
 * @url https://wpbakery.merkulov.design/lottier/
 **/

window.addEventListener( "DOMContentLoaded", ( event ) => {

    const lottiers = document.querySelectorAll( ".mdp-lottier-player" );

    for ( const lottier of lottiers ) {

        const lottierPlayer = lottier.querySelector( "lottie-player" );

        lottierPlayer.setSpeed( parseInt( lottier.getAttribute( "data-speed" ) ) );
        lottierPlayer.loop = "true" === lottier.getAttribute( "data-loop" );
        lottierPlayer.controls = "true" === lottier.getAttribute( "data-controls" );
        lottierPlayer.mode = lottier.getAttribute( "data-mode" );

        if ( "autoplay" === lottier.getAttribute( "data-autoplay" ) ) {

            lottierPlayer.play();

        }

        if ( "section" === lottier.getAttribute( "data-autoplay") || "hover" === lottier.getAttribute( "data-autoplay" ) ){

            lottierPlayer.addEventListener( "mouseover", function() {

                lottierPlayer.play();

            } );

            lottierPlayer.addEventListener( "mouseout", function() {

                lottierPlayer.pause();

            } );

        }

        if ( "click" === lottier.getAttribute( "data-autoplay" ) ){

            let startPlay = 0;
            lottierPlayer.addEventListener( "click", function() {

                if ( startPlay === 0 ) {

                    lottierPlayer.play();
                    startPlay = 1;

                } else {

                    lottierPlayer.pause();
                    startPlay = 0;

                }

            } );

        }

    }

} );
